/*
 * IR_CMD_Handler.h
 *
 *  Created on: Aug 25, 2024
 *      Author: DashyFox
 */

#ifndef INC_IR_CMD_HANDLER_H_
#define INC_IR_CMD_HANDLER_H_

#include "stm32f1xx_hal.h"
#include <string.h>

void IR_CMD_Handler();

enum IR_CMD_LIST {
	IR_FRONT_LEFT = 20,
	IR_FRONT_MID = 58,
	IR_FONT_RIGHT = 21,
	IR_MACRO = 63,
	IR_PROG = 37,
	IR_SHOT = 56,
	IR_NUM_1 = 0,
	IR_NUM_2 = 1,
	IR_NUM_3 = 2,
	IR_NUM_4 = 3,
	IR_NUM_5 = 4,
	IR_NUM_6 = 5,
	IR_NUM_7 = 6,
	IR_NUM_8 = 7,
	IR_NUM_9 = 8,
	IR_NUM_0 = 9,
	IR_DEBUG = 29, // -/--
	IR_PAUSE = 43,
	IR_STOP = 116,
	IR_START = 124,
	IR_F_BTN = 23,
	IR_ESC = 117,
	IR_ENTER = 97,
	IR_TEMPO_INC = 60,
	IR_TEMPO_DEC = 54,
	IR_ENGINE_UP_INC = 18, // скорость верхнего мотора
	IR_ENGINE_UP_DEC = 19,
	IR_ENGINE_DOWM_INC = 16,
	IR_ENGINE_DOWM_DEC = 17
};

#endif /* INC_IR_CMD_HANDLER_H_ */
